Bug 1570977 - [RFE] Setup AWS VPC NAT
Summary: [RFE] Setup AWS VPC NAT
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: RFE
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Abhishek Gupta
QA Contact: yasun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 21:51 UTC by Eric Jones
Modified: 2018-08-13 13:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-01 18:22:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eric Jones 2018-04-23 21:51:31 UTC
- What is the nature and description of the request? 
Customer has expressed need for us to setup publicly accessible IP addresses for the AWS nodes running their OSD nodes so they can setup a direct connection between their dedicated clusters and Oracle On Demand (ood). We believe this to be achievable using AWS VPC NAT.

This RFE is being filed because Operations Does not currently support setting up AWS VPC NAT so we would need to approve this for their cluster.


- Why does the customer need this? (List the business requirements here) 
thyssenkrupp is in process of rolling out our new planning tool that is built on OSE platform and services. To achieve the required optimizations and system redundancy, we have been working with various rh project consultants and architects to design and implement the required infrastructure. Part of this however requires that our "east/west" clusters have a direct point-to-point VPN connection to our oracle system that is hosted with Oracle on Demand. The issue however that has been identified is that the VPN requires usage of a public IP vs. non-public IP. OSE/AWS is currently only supporting private IP. Oracle On Demand will not allow access over the VPN, unless the IP is public. We have setup this configuration with our RH Map platform but unfortunately we were told this past week that this configuration is not supported by OSE. This presents a critical issue for tke as we are unable to proceed forward. We need to have this resolved and supported in order to continue. Immediate assistance is required. 

- How would the customer like to achieve this? (List the functional requirements here) 
We believe by using AWS VPC NAT

Comment 9 Dan Yocum 2018-06-18 19:14:56 UTC
The call has happened and other members of the Openshift Operations team is working with TKE to establish a VPN link via a different method.  This ticket can be closed.


Note You need to log in before you can comment on or make changes to this bug.